%global momorel 2
%global srcname httplib2
%global with_python3 1

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Name:           python-httplib2
Version:        0.9
Release:        %{momorel}m%{?dist}
Summary:        A comprehensive HTTP client library
Group:          System Environment/Libraries
License:        MIT
URL:            https://pypi.python.org/pypi/httplib2
Source0:        https://pypi.python.org/packages/source/h/%{srcname}/%{srcname}-%{version}.tar.gz
NoSource: 	0
# See also the 'locater plugin' system httplib2 now allows, and
# https://github.com/dreamhost/httplib2-ca_certs_locater
# It's kind of problematic, though: https://github.com/jcgregorio/httplib2/issues/293
Patch1:         %{name}.certfile.patch
Patch2:         %{name}.getCertHost.patch
Patch3:         %{name}.rfc2459.patch
#
# Fix proxy with plain http
# https://bugzilla.redhat.com/show_bug.cgi?id=857514
# https://github.com/jcgregorio/httplib2/issues/228
# 
Patch4:         python-httplib2-0.9-proxy-http.patch
#
# Fix for python2 invalid ssl cert hostname on second run
# https://bugzilla.redhat.com/show_bug.cgi?id=958638
#
Patch5:         python-httplib2-0.9-cve-2013-2037.patch
#
# Fix binary header handling in python3
# https://github.com/jcgregorio/httplib2/pull/296
#
Patch6:         python-httplib2-0.9-binary-header-python3.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-setuptools
BuildRequires:  python-devel
BuildArch:      noarch

%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3

%description
A comprehensive HTTP client library that supports many features left out of
other HTTP libraries.

%if 0%{?with_python3}
%package -n python3-httplib2
Summary:        A comprehensive HTTP client library
Group:          System Environment/Libraries

%description -n python3-httplib2
A comprehensive HTTP client library that supports many features left out of
other HTTP libraries.
%endif # with_python3

%prep
%setup -q -n httplib2-%{version}
%patch1 -p1 -b .certfile
%patch2 -p0 -b .getCertHost
%patch3 -p0 -b .rfc2459
%patch4 -p1
%patch5 -p1
%patch6 -p1

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'
%endif # with_python3

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root $RPM_BUILD_ROOT
popd
%endif # with_python3

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%if 0%{?with_python3}
%files -n python3-httplib2
%defattr(-,root,root,-)
%{python3_sitelib}/*
%endif # with_python3

%changelog
* Tue Oct 31 2017 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.9-2m)
- rebuild against python3.6

* Mon Apr  6 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9-1m)
- update to 0.9
- spec sync with fc22

* Tue May  3 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.0-1m)
- update 0.6.0

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.0-7m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.4.0-6m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.4.0-5m)
- full rebuild for mo7 release

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.4.0-2m)
- rebuild agaisst python-2.6.1-1m

* Tue Jun 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-4m)
- restrict python ver-rel for egginfo

* Sat Apr 26 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.2.0-3m)
- add egg-info to %%files section

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.0-2m)
- rebuild against gcc43

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync-plugin-google-calendar
- Summary and %%description are imported from opensuse
